Module java.transaction.xa
Package javax.transaction.xa

# Interface Xid

public interface Xid
The Xid interface is a Java mapping of the X/Open transaction identifier XID structure. This interface specifies three accessor methods to retrieve a global transaction format ID, global transaction ID, and branch qualifier. The Xid interface is used by the transaction manager and the resource managers. This interface is not visible to the application programs.

Since:
  1.4

## Field Summary

Fields
Modifier and Type
Field
Description
`static int`
`MAXBQUALSIZE`
Maximum number of bytes returned by `getBranchQualifier()`.
`static int`
`MAXGTRIDSIZE`
Maximum number of bytes returned by `getGlobalTransactionId()`.

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`getBranchQualifier()`
Obtain the transaction branch identifier part of XID as an array of bytes.
`int`
`getFormatId()`
Obtain the format identifier part of the XID.
`byte[]`
`getGlobalTransactionId()`
Obtain the global transaction identifier part of XID as an array of bytes.

## Field Details

### MAXGTRIDSIZE

static final int MAXGTRIDSIZE
Maximum number of bytes returned by `getGlobalTransactionId()`.

See Also:
  Constant Field Values

### MAXBQUALSIZE

static final int MAXBQUALSIZE
Maximum number of bytes returned by `getBranchQualifier()`.

See Also:
  Constant Field Values

## Method Details

### getFormatId

int getFormatId()
Obtain the format identifier part of the XID.

Returns:
  Format identifier. O means the OSI CCR format.

### getGlobalTransactionId

byte[] getGlobalTransactionId()
Obtain the global transaction identifier part of XID as an array of bytes.

Returns:
  Global transaction identifier.

### getBranchQualifier

byte[] getBranchQualifier()
Obtain the transaction branch identifier part of XID as an array of bytes.

Returns:
  Global transaction identifier.